Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\FieldType\Image\ImageStorage Member List

This is the complete list of members for eZ\Publish\Core\FieldType\Image\ImageStorage, including all inherited members.

$aliasCleaner | eZ\Publish\Core\FieldType\Image\ImageStorage | protected
$deprecationWarner | eZ\Publish\Core\FieldType\Image\ImageStorage | private
$filePathNormalizer | eZ\Publish\Core\FieldType\Image\ImageStorage | protected
$gateway | eZ\Publish\Core\FieldType\Image\ImageStorage | protected
$imageSizeMetadataHandler | eZ\Publish\Core\FieldType\Image\ImageStorage | protected
$ioService | eZ\Publish\Core\FieldType\Image\ImageStorage | protected
$pathGenerator | eZ\Publish\Core\FieldType\Image\ImageStorage | protected
__construct(StorageGateway $gateway, IOServiceInterface $ioService, PathGenerator $pathGenerator, MetadataHandler $imageSizeMetadataHandler, DeprecationWarner $deprecationWarner, AliasCleanerInterface $aliasCleaner, FilePathNormalizerInterface $filePathNormalizer) | eZ\Publish\Core\FieldType\Image\ImageStorage |
eZ::Publish::SPI::FieldType::GatewayBasedStorage::__construct(StorageGateway $gateway) | eZ\Publish\SPI\FieldType\GatewayBasedStorage |
buildImageId(VersionInfo $versionInfo, Field $field) | eZ\Publish\Core\FieldType\Image\ImageStorage | private
copyLegacyField(VersionInfo $versionInfo, Field $field, Field $originalField, array $context) | eZ\Publish\SPI\FieldType\GatewayBasedStorage |
deleteFieldData(VersionInfo $versionInfo, array $fieldIds, array $context) | eZ\Publish\Core\FieldType\Image\ImageStorage |
getFieldData(VersionInfo $versionInfo, Field $field, array $context) | eZ\Publish\Core\FieldType\Image\ImageStorage |
getIndexData(VersionInfo $versionInfo, Field $field, array $context) | eZ\Publish\Core\FieldType\Image\ImageStorage |
hasFieldData() | eZ\Publish\Core\FieldType\Image\ImageStorage |
storeFieldData(VersionInfo $versionInfo, Field $field, array $context) | eZ\Publish\Core\FieldType\Image\ImageStorage |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.